// (c) by Heinrich Tillack 2002 (http://a128.x15.org)
// based on code by Jimbo
// under GPL or new BSD license
// v 0 (21.10.02): initial release
#ifndef _C99_TXR_H
#define _C99_TXR_H


#ifndef uint32
#define uint32 unsigned long
#endif


#include <GL/gl.h>

struct texture {
    uint16 *pixbuf;
    char filename[40];
    uint32 txraddr;
    GLint txr;
    int xsize;
    int ysize;

};

#define PCX 0
#define JPG 1
#define PNG 2

void texture_init();

#if 0
//load jpg texture
void load_jpg_texture(char *filename,int pos,int type);
//returns the position of the texture
int auto_load_jpg_texture(char *filename);
int auto_load_png_texture(char *filename) ;
#endif


int auto_load_texture(char *filename) ; //loads PNG/PCX or JPG material

int  next_tex_id() ;
int find_tex(char *filename) ;

void switch_tex(int pos);
void delete_tex(int pos) ;


#endif
